Name: plib
Version: 1.6.0
Release: alt3.1

Summary: Steve's Portable Game Library
License: LGPL
Group: Development/C++
Url: http://plib.sourceforge.net/

Source: http://plib.sourceforge.net/dist/%name-%version.tar.bz2

BuildPreReq: rpm-build >= 4.0.4-alt10, autoconf = 2.13, automake = 1.4, libtool = 1.4.3
%set_autoconf_version 2.13
%set_automake_version 1.4
%set_libtool_version 1.4

# Automatically added by buildreq on Wed Oct 02 2002
BuildRequires: XFree86-devel XFree86-libs gcc-c++ glibc-devel-static libGLU-devel libglut-devel libstdc++-devel

%description
Write games and other realtime interactive applications that are 100% portable
across a wide range of hardware and operating systems.

%package devel
Summary: Development libraries and header files for %name
Group: Development/C++
Requires: %name = %version-%release

%description devel
Development libraries and header files for %name

%package devel-static
Summary: Static libraries for %name
Group: Development/C++
Requires: %name-devel = %version-%release

%description devel-static
Static libraries for %name

%prep
%setup -q
for i in `find . -type f -name 'Makefile.am'`
do
%__subst 's/lib_LIBRARIES\(.*\).a/lib_LTLIBRARIES\1.la/' $i
%__subst 's/\(.*\)_a_SOURCES/\1_la_SOURCES/' $i
done
%__subst 's/libplibsl.a/libplibsl.la/' src/sl/Makefile.am
%__subst 's/AC_PROG_RANLIB/AC_PROG_LIBTOOL/' configure.in

libtoolize --force
aclocal
automake
autoconf

find . -type d|sed 's/\(.*\)/\1\/Makefile/' - |xargs automake

%build
%configure
%make_build

%install
%makeinstall includedir=$RPM_BUILD_ROOT/usr/include/plib

%files
%doc README
%_libdir/*.so.*

%files devel
#%_libdir/*.la
%_libdir/*.so
%_includedir/%name

%files devel-static
%_libdir/*.a

%changelog
* Thu Dec 04 2003 Stanislav Ievlev <inger@altlinux.org> 1.6.0-alt3.1
- rebuild without .la files

* Tue Sep 16 2003 Stanislav Ievlev <inger@altlinux.ru> 1.6.0-alt3
- fix build in hasher

* Thu Dec 19 2002 Stanislav Ievlev <inger@altlinux.ru> 1.6.0-alt2
- fix #0001718 and #0001717

* Wed Oct 02 2002 Stanislav Ievlev <inger@altlinux.ru> 1.6.0-alt1
- 1.6.0
- split into devel and devel-static subpackages

* Mon Sep 24 2001 Sergey V Turchin <zerg@altlinux.ru> 1.5.1-alt1
- 1.5.1


* Wed Sep 19 2001 Sergey V Turchin <zerg@altlinux.ru> 1.4.2-alt2
- fix provides

* Tue Sep 18 2001 Sergey V Turchin <zerg@altlinux.ru> 1.4.2-alt1
- build for ALT

* Thu Aug 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.4.2-1mdk
- 1.4.2

* Mon Jun 25 2001  Daouda Lo <daouda@mandrakesoft.com> 1.4.1-1mdk
- release 1.4.1

* Fri Jun 22 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4.0-1mdk
- version 1.4.0

* Mon Mar 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.0-5mdk
- rh patches

* Fri Jan  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.0-4mdk
- rebuild

* Thu Sep 14 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2.0-3mdk
- clean spec

* Thu Aug 24 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.0-2mdk
- added Packager tag
- removed hardcoded -O6

* Mon Jul  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.0-1mdk
- 1.2.0 stable release

* Thu Jun 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.20-1mdk
- first Mandrake Package
